using Knot.Modules.Auth.Domain;

namespace Knot.Modules.Auth.Application.Abstractions;

public interface IJwtTokenProvider
{
    string Generate(User user);
    string Generate(Guid userId, string username, string displayName, string? avatar);
    string GenerateRefreshToken();
    DateTime GetRefreshTokenExpiry();
}

